Redmine - Feature #41927

Enable browser autocomplete for 2FA input fields
2024-12-03 15:20 - Thomas Butz

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 5.1.5

Resolution: Fixed

Description

The current HTML 2FA input has autocomplete disabled:

<input type="text" name="twofa_code" id="twofa_code" tabindex="1" autocomplete="off" autofocus=
"autofocus">

To assist password managers, we should switch it to one-time-code

<input type="text" name="twofa_code" id="twofa_code" tabindex="1" autocomplete="one-time-code"
autofocus="autofocus">

Related issues:
Related to Redmine - Feature #41937: Enable browser autocomplete for login in... Closed

Associated revisions

Revision 23360 - 2024-12-08 07:18 - Go MAEDA
Enable browser autocomplete for 2FA input fields (#41927).

Contributed by Thomas Butz (user:otbutz).

Revision 23366 - 2024-12-09 00:38 - Marius BALTEANU
Merge r23360 from trunk to 6.0-stable (#41927).

Revision 23367 - 2024-12-09 00:39 - Marius BALTEANU
Merge r23360 from trunk to 5.1-stable (#41927).

History

#1 - 2024-12-04 00:55 - Go MAEDA
- Category changed from Ul to Accounts / authentication

- Target version set to 6.1.0

#2 - 2024-12-04 03:52 - Go MAEDA
- File set_one-time-code _for-twofa-input-fields.patch added

- Subject changed from Enable 2FA autocomplete to Enable browser autocomplete for 2FA input fields

Here is a patch.

#3 - 2024-12-05 08:53 - Go MAEDA

- Related to Feature #41937: Enable browser autocomplete for login input fields added

#4 - 2024-12-08 07:19 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed
https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/autocomplete#one-time-code

Committed the patch in r23360.

#5 - 2024-12-09 00:39 - Marius BALTEANU

- Target version changed from 6.1.0 to 5.1.5

I've merged this to stable branches because it is a small change and quite useful.

Files

set_one-time-code_for-twofa-input-fields.patch 1.92 KB
